We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Can you confirm what version this was fixed?

I’ve hit an issue in Java Aspose.cells 8.7.1 where spreadsheets will not process. The error stack looks like this:

            at com.aspose.cells.b.a.d.zn.a(zn.java)
    	at com.aspose.cells.zchm.E(zchm.java)
    	at com.aspose.cells.zchm.d(zchm.java)
    	at com.aspose.cells.zchm.k(zchm.java)
    	at com.aspose.cells.zakr.a(zakr.java)
    	at com.aspose.cells.zakn.d(zakn.java)
    	at com.aspose.cells.zakn.b(zakn.java)
    	at com.aspose.cells.zakn.w(zakn.java)
    	at com.aspose.cells.zakn.d(zakn.java)
    	at com.aspose.cells.zakm.a(zakm.java)
    	at com.aspose.cells.Workbook.a(Workbook.java)
    	at com.aspose.cells.Workbook.<init>(Workbook.java)

This is no longer an issue in the version I’m using now which is 18.3.

If someone could confirm specifically what version this was fixed and the CELLSJAVA-* reference number that would be great.

@Aspose781,

Thanks for the details.

This would be difficult to tell as your mentioned exception trace seems generic which might have many corresponding scenarios. We recommend you to kindly upgrade to latest APIs set of the product as over the years we have made the API more robust and feature rich. If your license allows to use latest version/fix: Aspose.Cells for Java v18.6, then you should use v18.6, it would be best option for your. But if your license allows to use v18.3, then it is also a better option as 18.3 was published not more than 3 months ago.